/*
 * Copyright (c) 2017, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.wso2.carbon.esb.mediator.test.script;

import org.apache.axis2.AxisFault;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;
import org.wso2.esb.integration.common.utils.ESBIntegrationTest;

/**
 * This test case verifies that, AxisFault thrown when non-existing function is invoked in a Nashorn script.
 */
public class InvokingInvalidFunctionInNashornJsTestCase extends ESBIntegrationTest {

    @BeforeClass(alwaysRun = true)
    public void setEnvironment() throws Exception {
        super.init();
    }

    @Test(groups = "wso2.esb", description = "Try to invoke a non-existing function in a script. it throws an "
            + "AxisFault.", expectedExceptions = { AxisFault.class })
    public void testInvokeNonExistingFunc() throws AxisFault {
        axis2Client.sendCustomQuoteRequest(getProxyServiceURLHttp("nashornJsInvokeInvalidFunctionTestProxy"), null,
                "Invalid");
    }
}
